■掲示板に戻る■ 全部 1- 最新50 [PR]ぜろちゃんねるプラス[PR]  

みくった〜♪の公開をwktkしながら待つスレ

1 :みくんちゅ♪@名無しさん:2010/03/14(日) 19:48:27.37 ID:/JsqvffA0
公開マダー?
+   +
  ∧_∧  +
 (0゜・∀・)   ワクワクテカテカ
 (0゜∪ ∪ +        
 と__)__) +

みくった〜♪公式(?)サイト http://toshia.dip.jp/mikutter/
作者さんのブログ http://hakurei-shain.blogspot.com/

2 :みくんちゅ♪@名無しさん:2010/03/14(日) 19:51:01.73 ID:KnnHM0oA0
>>1

3 :みくんちゅ♪@名無しさん:2010/03/14(日) 19:52:31.25 ID:GXJG8kIY0
               +   + +     +   +
                ∧_∧  ∧_∧ ∧_∧  +
                  (0゚・∀・) (0゚・∀・) (0゚・∀・) ワクワクテカテカ  +
               oノ∧つ⊂) ∧つ⊂) ∧つ⊂)    +            +
.       ∧_∧   ( (0゚・∀・) (0゚・∀・) (0゚・∀・)       +    +
       ( ;´Д`)  oノ∧つ⊂)∧つ⊂) ∧つ⊂)  +            ∧_∧     +
  -=≡  /    ヽ   ( (0゚・∀・)(0゚・∀・)(0゚・∀・)   ワクワクテカテカ    (0゚・∀・) ワクワク
.      /| |   |. |  oノ∧つ⊂) ∧つ⊂) ∧つ⊂)             oノ∧つ⊂)
 -=≡ /. \ヽ/\\_( (0゚・∀・) (0゚・∀・) (0゚・∀・)   +         ( (0゚・∀・) テカテカ
    /    ヽ⌒)==ヽ_)=∧つ⊂) ∧つ⊂) ∧つ⊂)        ∧_∧ oノ∧つ⊂)  +
-=   / /⌒\.\ ||  ||(0゚・∀・)(0゚・∀・)(0゚・∀・)ワクワクテカテカ( ´・ω・)  (0゚・∀・) ワクワクテカテカ
  / /    > )| ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄|     /ヽ○==○ (0゚∪ ∪    +
 / /     / / .|______________| -=≡ /  ||_ ||_ と__)__)
 し'     (_つ  ̄(_)) ̄ (.)) ̄ ̄ ̄ ̄ (_)) ̄(.)) ̄    し' ̄(_)) ̄ ̄ ̄ ̄(_)) ̄(_))

4 :toshi_a:2010/03/14(日) 19:57:11.44 ID:KnnHM0oA0
たんぶらーで開発版のコミットログ書いてるから、最新リビジョンの情報はここが一番早い。
http://toshia.tumblr.com/
はやく「via みくった〜♪」と表示させたいね!

5 :toshi_a:2010/03/16(火) 00:44:56.95 ID:s4jT4jxs0
ついった運営に、みくった〜♪の名前表示申請送りますた。三日くらいで反映されるという話。

6 :みくんちゅ♪@名無しさん:2010/03/16(火) 18:40:54.69 ID:eHOFadFs0
>>5
オツカレー
リビジョン23ktkr

7 :みくんちゅ♪@名無しさん:2010/03/20(土) 13:33:56.85 ID:xU5mnPtw0
みくった〜♪への機能の希望なんだけど、自分へのリプライとかRTが合った際だけ、通知って機能があると嬉しいかも。
もちろん、オプションでいいんだけど。

8 :toshi_a:2010/03/21(日) 18:27:44.19 ID:Hwn3jMP20
>>7
誰かが言ったらやろうと思ってたんだ。
ちょいとつけるか

9 :みくんちゅ♪@名無しさん:2010/04/12(月) 21:16:22.16 ID:/0GZs//20
http://mikutter.d.hachune.net/download

10 :みくんちゅ♪@名無しさん:2010/04/15(木) 20:12:05.81 ID:DOOUPhFM0
公開されたからスレタイ変えなきゃ!!

みくった〜♪ktkr!

11 :みくんちゅ♪@名無しさん:2010/04/16(金) 01:01:43.85 ID:qLfIB8yQ0
まだテスト版だけどねー

12 :みくんちゅ♪@名無しさん:2010/05/23(日) 09:14:11.64 ID:HGNBaBIE0
rev63
sudo aptitude install libopenssl-ruby libhmac-ruby
これが必要だったんだーねー

13 :みくんちゅ♪@名無しさん:2010/06/11(金) 01:32:49.74 ID:a1G0nw3U0
warning: /home/tmin/.gem/ruby/1.8/gems/classifier-1.3.1/lib/classifier/lsi.rb:13: Notice: for 10x faster LSI support, please install http://rb-gsl.rubyforge.org/
./mui/gtk_postbox.rb:31:in `initialize': undefined method `strsize' for nil:NilClass (NoMethodError)
from ./mui/gtk_extension.rb:14:in `synchronize'
from /usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'
from ./mui/gtk_extension.rb:12:in `synchronize'
from ./mui/gtk_postbox.rb:16:in `initialize'
from ./plugin/gui.rb:55:in `new'
from ./plugin/gui.rb:55:in `_onboot'
from ./mui/gtk_extension.rb:14:in `synchronize'
from /usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'
from ./mui/gtk_extension.rb:12:in `synchronize'
from ./plugin/gui.rb:47:in `_onboot'
from ./plugin/gui.rb:43:in `onboot'
from ./plugin/plugin.rb:52:in `__send__'
from ./plugin/plugin.rb:52:in `boot'
from ./plugin/plugin.rb:51:in `each'
from ./plugin/plugin.rb:51:in `boot'
from ./plugin/mother.rb:88:in `__send__'
from ./plugin/mother.rb:88:in `fire'
from ./plugin/mother.rb:83:in `plugin_call'
from ./plugin/mother.rb:82:in `each'
from ./plugin/mother.rb:82:in `plugin_call'
from ./plugin/mother.rb:39:in `boot'
from ./plugin/plugin.rb:113:in `__send__'
from ./plugin/plugin.rb:113
from ./plugin/plugin.rb:116:in `call'
from ./plugin/plugin.rb:116:in `fire'
from ./watch.rb:74:in `initialize'
from /usr/lib/ruby/1.8/singleton.rb:94:in `new'
from /usr/lib/ruby/1.8/singleton.rb:94:in `instance'
from ./trunk/mikutter.rb:109:in `main'
from ./trunk/mikutter.rb:32:in `boot'
from ./trunk/mikutter.rb:157


14 :みくんちゅ♪@名無しさん:2010/07/03(土) 07:12:52.82 ID:cLnFLcHg0
rev92起動しないよー
/usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require': no such file to load -- mui/gtk_mtk (LoadError)
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'
from ./utils.rb:40:in `miquire'
from ./addon/settings.rb:6
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'
from ./utils.rb:40:in `miquire'
from ./addon/bitly.rb:5
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'
from ./utils.rb:43:in `miquire'
from ./utils.rb:42:in `glob'
from ./utils.rb:42:in `miquire'
from ./addon/addon.rb:74
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'
from ./utils.rb:40:in `miquire'
from ./plugin/gui.rb:324
from ./utils.rb:43:in `require'
from ./utils.rb:43:in `miquire'
from ./utils.rb:42:in `glob'
from ./utils.rb:42:in `miquire'
from ./plugin/plugin.rb:65
from ./utils.rb:40:in `require'
from ./utils.rb:40:in `miquire'
from ./watch.rb:2
from ./utils.rb:40:in `require'
from ./utils.rb:40:in `miquire'
from ./trunk/mikutter.rb:8
あ、あとPermission denied

15 :みくんちゅ♪@名無しさん:2010/08/01(日) 04:33:07.87 ID:4mZOtS2Y0
108また起動しないお・・・
/usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require': no such file to load -- mui/gtk_listlist (LoadError)
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'
from ./utils.rb:40:in `miquire'
from ./addon/list.rb:5
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'
from ./utils.rb:43:in `miquire'
from ./utils.rb:42:in `each'
from ./utils.rb:42:in `miquire'
from ./addon/addon.rb:67
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'
from ./utils.rb:40:in `miquire'
from ./plugin/gui.rb:299
from ./utils.rb:43:in `require'
from ./utils.rb:43:in `miquire'
from ./utils.rb:42:in `each'
from ./utils.rb:42:in `miquire'
from ./plugin/plugin.rb:105
from ./utils.rb:40:in `require'
from ./utils.rb:40:in `miquire'
from ./watch.rb:2
from ./utils.rb:40:in `require'
from ./utils.rb:40:in `miquire'
from ./trunk/mikutter.rb:8


16 :みくんちゅ♪@名無しさん:2010/08/01(日) 20:07:55.08 ID:4mZOtS2Y0
109ktkr!!
起動オッケー。公式RTもおっけー。
フォロワーリストからフォロー、リムーブとかできるようになるとうれしいかもとか言ってみるテスト

17 :みくんちゅ♪@名無しさん:2010/08/27(金) 18:49:26.49 ID:NxRmu+lw0
r117
まさしく。物事は終了まで冷静に見つめないと真実が見えることはあり得ないというのに RT @montagekijyo: 予算にばかり夢中で決算に無関心なのと似ている。RT @t_min: 逮捕までが一番盛り上がり、判決に多少盛り上がり、その後音沙汰無しというのはフェアではないので議論のたたき台にもならないと思った。 RT http://bit.ly/aZaYNA

まさしく。物事は終了まで冷静に見つめないと真実が見えることはあり得ないというのに http://bit.ly/aZaYNA

投稿すると短縮されちゃった?URL含んで文字数超のRTだとちょっとおかしいかも?

一応その辺の端末出力
/usr/lib/ruby/1.8/pstore.rb: line 354
GLib-GObject-CRITICAL **:g_value_set_object: assertion `G_IS_OBJECT (v_object)' failed
./delayer.rb: line 36
GLib-GObject-CRITICAL **:g_value_set_object: assertion `G_IS_OBJECT (v_object)' failed
./delayer.rb: line 36
GLib-GObject-CRITICAL **:g_value_set_object: assertion `G_IS_OBJECT (v_object)' failed
./utils.rb: line 618
GLib-GObject-CRITICAL **:g_value_set_object: assertion `G_IS_OBJECT (v_object)' failed
/usr/lib/ruby/1.8/net/protocol.rb: line 135
GLib-GObject-CRITICAL **:g_value_set_object: assertion `G_IS_OBJECT (v_object)' failed
./utils.rb: line 618
GLib-GObject-CRITICAL **:g_value_set_object: assertion `G_IS_OBJECT (v_object)' failed
./utils.rb: line 618
GLib-GObject-CRITICAL **:g_value_set_object: assertion `G_IS_OBJECT (v_object)' failed
/usr/lib/ruby/1.8/pstore.rb: line 303
GLib-GObject-CRITICAL **:g_value_set_object: assertion `G_IS_OBJECT (v_object)' failed
/usr/lib/ruby/1.8/rational.rb: line 108
GLib-GObject-CRITICAL **:g_value_set_object: assertion `G_IS_OBJECT (v_object)' failed
#<TypeError: destroyed GLib::Object>


18 :みくんちゅ♪@名無しさん:2010/08/28(土) 01:04:36.60 ID:+xuyJwwE0
r118
10.10の開発は9月2日のBetaリリースを控え,UserInterfaceFreeze・BetaFreezeを無事に通過しました。以降は原則としてGUI部分の大きな変更はなく,各機能のブラッシュアップに入ります。Ubuntu Weekly Topics http://gihyo.jp/admin/clip/01/ubuntu-topics/201008/27
これ投稿で認証画面ループ。文字数超、短縮URL絡み?かな??かな??


19 :みくんちゅ♪@名無しさん:2010/09/26(日) 21:23:51.09 ID:0Iax4Jc20
Marverickで起動しないエラー
./utils.rb:16: warning: already initialized constant HYDE
warning: /home/tmin/.gem/ruby/1.8/gems/classifier-1.3.1/lib/classifier/lsi.rb:13: Notice: for 10x faster LSI support, please install http://rb-gsl.rubyforge.org/
/usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require': no such file to load -- hmac-sha1 (LoadError)
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'
from ./oauth/signature/hmac/sha1.rb:2
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'
from ./oauth/client/helper.rb:6
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'
from ./oauth.rb:2
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'
from ./utils.rb:37:in `miquire'
from ./utils.rb:36:in `chdir'
from ./utils.rb:36:in `miquire'
from ./twitter_api.rb:17
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'
from ./utils.rb:39:in `miquire'
from ./twitter.rb:5
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'
from ./utils.rb:39:in `miquire'
from ./post.rb:3
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'
from ./utils.rb:39:in `miquire'
from ./watch.rb:3
from ./utils.rb:39:in `require'
from ./utils.rb:39:in `miquire'
from ./trunk/mikutter.rb:19

もうちょい試してみるー(r133)

20 :みくんちゅ♪@名無しさん:2010/09/27(月) 03:36:04.60 ID:/PU4xMCU0
ごめんご。嘘ですた。関連パッケージ&推奨パッケージ入れなおしたら直ったよー

21 :みくんちゅ♪@名無しさん:2011/04/22(金) 21:17:42.75 ID:8F/UCE6o0
r269 起動エラー
$ ./trunk/mikutter.rb

(mikutter.rb:3444): atk-bridge-WARNING **: AT_SPI_REGISTRY was not started at session startup.

(mikutter.rb:3444): atk-bridge-WARNING **: IOR not set.

(mikutter.rb:3444): atk-bridge-WARNING **: Could not locate registry
/usr/lib/ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require': no such file to load -- json (LoadError)
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:36:in `require'
from ./addon/bitly/bitly.rb:7
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:36:in `require'
from /home/tmin/mikutter/trunk/core/utils.rb:71:in `file_or_directory_require'
from /home/tmin/mikutter/trunk/core/utils.rb:62:in `miquire_all_files'
from /home/tmin/mikutter/trunk/core/utils.rb:61:in `each'
from /home/tmin/mikutter/trunk/core/utils.rb:61:in `miquire_all_files'
from /home/tmin/mikutter/trunk/core/utils.rb:56:in `miquire'
from ./addon/addon.rb:72
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'
from /usr/lib/ruby/1.8/rubygems/custom_require.rb:36:in `require'
from /home/tmin/mikutter/trunk/core/utils.rb:73:in `file_or_directory_require'
from /home/tmin/mikutter/trunk/core/utils.rb:54:in `miquire'
from ./plugin/gui.rb:353
from /home/tmin/mikutter/trunk/core/utils.rb:73:in `require'
from /home/tmin/mikutter/trunk/core/utils.rb:73:in `file_or_directory_require'
from /home/tmin/mikutter/trunk/core/utils.rb:62:in `miquire_all_files'
from /home/tmin/mikutter/trunk/core/utils.rb:61:in `each'
from /home/tmin/mikutter/trunk/core/utils.rb:61:in `miquire_all_files'
from /home/tmin/mikutter/trunk/core/utils.rb:56:in `miquire'
from ./plugin/plugin.rb:347
from /home/tmin/mikutter/trunk/core/utils.rb:73:in `require'
from /home/tmin/mikutter/trunk/core/utils.rb:73:in `file_or_directory_require'
from /home/tmin/mikutter/trunk/core/utils.rb:54:in `miquire'
from ./watch.rb:4
from /home/tmin/mikutter/trunk/core/utils.rb:73:in `require'
from /home/tmin/mikutter/trunk/core/utils.rb:73:in `file_or_directory_require'
from /home/tmin/mikutter/trunk/core/utils.rb:54:in `miquire'
from ./trunk/mikutter.rb:25


22 :みくんちゅ♪@名無しさん:2011/05/12(木) 07:04:26.30 ID:u4GEPPbU0
SUSE11.4でdist-upgradeかけたら起動しなくなっちった
> ./trunk/mikutter.rb
/usr/lib64/ruby/site_ruby/1.8/x86_64-linux/pango.so: /usr/lib64/ruby/site_ruby/1.8/x86_64-linux/pango.so: undefined symbol: rb_cCairo_Context - /usr/lib64/ruby/site_ruby/1.8/x86_64-linux/pango.so (LoadError)
from /usr/lib64/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:29:in `require'
from /usr/lib64/ruby/site_ruby/1.8/pango.rb:19
from /usr/lib64/ruby/site_ruby/1.8/gtk2/base.rb:14:in `require'
from /usr/lib64/ruby/site_ruby/1.8/gtk2/base.rb:14
from /usr/lib64/ruby/site_ruby/1.8/gtk2.rb:11:in `require'
from /usr/lib64/ruby/site_ruby/1.8/gtk2.rb:11
from ./mui/gtk_postbox.rb:7:in `require'
from ./mui/gtk_postbox.rb:7
from /home/tmin/mikutter/trunk/core/utils.rb:83:in `require'
from /home/tmin/mikutter/trunk/core/utils.rb:83:in `file_or_directory_require'
from /home/tmin/mikutter/trunk/core/utils.rb:64:in `miquire'
from ./plugin/gui.rb:9
from /home/tmin/mikutter/trunk/core/utils.rb:83:in `require'
from /home/tmin/mikutter/trunk/core/utils.rb:83:in `file_or_directory_require'
from /home/tmin/mikutter/trunk/core/utils.rb:72:in `miquire_all_files'
from /home/tmin/mikutter/trunk/core/utils.rb:71:in `each'
from /home/tmin/mikutter/trunk/core/utils.rb:71:in `miquire_all_files'
from /home/tmin/mikutter/trunk/core/utils.rb:66:in `miquire'
from ./plugin/plugin.rb:347
from /home/tmin/mikutter/trunk/core/utils.rb:83:in `require'
from /home/tmin/mikutter/trunk/core/utils.rb:83:in `file_or_directory_require'
from /home/tmin/mikutter/trunk/core/utils.rb:64:in `miquire'
from ./watch.rb:4
from /home/tmin/mikutter/trunk/core/utils.rb:83:in `require'
from /home/tmin/mikutter/trunk/core/utils.rb:83:in `file_or_directory_require'
from /home/tmin/mikutter/trunk/core/utils.rb:64:in `miquire'
from ./trunk/mikutter.rb:58


23 :みくんちゅ♪@名無しさん:2011/05/13(金) 02:48:08.74 ID:YkNYnEqg0
>>22
rb_cCairo_とか言ってるからruby-rcairoが無いのかも。
devel:languages:ruby:extensionsリポジトリ入れてからruby-rcairo入れるといい。(既に入れてあるリポジトリにあるならそれで)
もし1.9で動かしたいならgemからだからcairo-devel+コンパイル環境必要だけど…

俺は俺で何故かruby1.9@suseで動かんのだがな(´・ω・`)

24 :みくんちゅ♪@名無しさん:2011/05/15(日) 13:27:08.28 ID:8ai6BEU+0
おーありがとん。試してみるる

25 :みくんちゅ♪@名無しさん:2011/05/21(土) 09:45:01.39 ID:PDsBYIq60
Wiki いろんなOSでみくった〜
http://mikunchu.wiki.fc2.com/wiki/%E3%81%84%E3%82%8D%E3%82%93%E3%81%AAOS%E3%81%A7%E3%81%BF%E3%81%8F%E3%81%A3%E3%81%9F%E3%80%9C%E2%99%AA

26 :みくんちゅ♪@名無しさん:2011/05/22(日) 18:32:58.15 ID:8/dkPWMA0
$ ruby1.9.1 mikutter.rb
<internal:lib/rubygems/custom_require>:29:in `require': no such file to load -- gtk2 (LoadError)
from <internal:lib/rubygems/custom_require>:29:in `require'
from /opt/miku/mikutter/core/mui/gtk_postbox.rb:7:in `<top (required)>'
from <internal:lib/rubygems/custom_require>:29:in `require'
from <internal:lib/rubygems/custom_require>:29:in `require'
from /opt/miku/mikutter/core/utils.rb:83:in `file_or_directory_require'
from /opt/miku/mikutter/core/utils.rb:64:in `miquire'
from /opt/miku/mikutter/core/plugin/gui.rb:9:in `<top (required)>'
from <internal:lib/rubygems/custom_require>:29:in `require'
from <internal:lib/rubygems/custom_require>:29:in `require'
from /opt/miku/mikutter/core/utils.rb:83:in `file_or_directory_require'
from /opt/miku/mikutter/core/utils.rb:72:in `block in miquire_all_files'
from /opt/miku/mikutter/core/utils.rb:71:in `each'
from /opt/miku/mikutter/core/utils.rb:71:in `miquire_all_files'
from /opt/miku/mikutter/core/utils.rb:66:in `miquire'
from /opt/miku/mikutter/core/plugin/plugin.rb:356:in `<top (required)>'
from <internal:lib/rubygems/custom_require>:29:in `require'
from <internal:lib/rubygems/custom_require>:29:in `require'
from /opt/miku/mikutter/core/utils.rb:83:in `file_or_directory_require'
from /opt/miku/mikutter/core/utils.rb:64:in `miquire'
from /opt/miku/mikutter/core/watch.rb:4:in `<top (required)>'
from <internal:lib/rubygems/custom_require>:29:in `require'
from <internal:lib/rubygems/custom_require>:29:in `require'
from /opt/miku/mikutter/core/utils.rb:83:in `file_or_directory_require'
from /opt/miku/mikutter/core/utils.rb:64:in `miquire'
from mikutter.rb:61:in `<main>'


27 :みくんちゅ♪@名無しさん:2011/05/22(日) 18:33:49.97 ID:8/dkPWMA0
ubuntu 10.04で、mikutterをruby1.9.1で動かす方法
http://mikutter.blogspot.com/2011/02/ubuntu-1004mikutterruby191.html

28 :みくんちゅ♪@名無しさん:2011/05/22(日) 19:19:53.54 ID:8/dkPWMA0
on Debian sid
>>26のエラーはruby-gtkが足りないだかコンパイル失敗してるだか
$ sudo apt-get install checkinstall ruby1.9.1-dev
$ sudo apt-get build-dep ruby-gnome2
$ sudo gem1.9.1 install pkg-config ruby-hmac
$ wget http://jaist.dl.sourceforge.net/project/ruby-gnome2/ruby-gnome2/ruby-gnome2-0.90.8/ruby-gtk2-0.90.8.tar.gz
$ tar xvf ruby-gtk2-0.90.8.tar.gz
$ cd ruby-gtk2-0.90.8
$ make
$ sudo checkinstall
$ cd ..
$ cd mikutter/
$ svn update
 リビジョン 357 に更新しました。
$ chmod +x trunk/mikutter.rb
$ ruby1.9.1 trunk/mikutter.rb
 <internal:lib/rubygems/custom_require>:29:in `require': no such file to load -- cairo (LoadError)
今度はどうやらcairoが足りないけどリポジトリにはruby1.8用のcairoしかないので
$ sudo gem1.9.1 install cairo
$ ruby1.9.1 trunk/mikutter.rb
で一応起動はしたが、TL取得前に落ちるもよう。

29 :みくんちゅ♪@名無しさん:2011/06/29(水) 19:00:44.34 ID:JDOGGuGs0
Debian sid

$ ./trunk/mikutter.rb
/usr/lib/ruby/vendor_ruby/1.8/x86_64-linux/cairo.so: uninitialized constant Cairo::Color (NameError)
from /usr/lib/ruby/1.8/pango.rb:12
from /usr/lib/ruby/1.8/gtk2/base.rb:13:in `require'
from /usr/lib/ruby/1.8/gtk2/base.rb:13
from /usr/lib/ruby/1.8/gtk2.rb:10:in `require'
from /usr/lib/ruby/1.8/gtk2.rb:10
from ./mui/gtk_postbox.rb:7:in `require'
from ./mui/gtk_postbox.rb:7
from /home/tmin/mikutter/trunk/core/utils.rb:83:in `require'
from /home/tmin/mikutter/trunk/core/utils.rb:83:in `file_or_directory_require'
from /home/tmin/mikutter/trunk/core/utils.rb:64:in `miquire'
from ./plugin/gui.rb:9
from /home/tmin/mikutter/trunk/core/utils.rb:83:in `require'
from /home/tmin/mikutter/trunk/core/utils.rb:83:in `file_or_directory_require'
from /home/tmin/mikutter/trunk/core/utils.rb:72:in `miquire_all_files'
from /home/tmin/mikutter/trunk/core/utils.rb:71:in `each'
from /home/tmin/mikutter/trunk/core/utils.rb:71:in `miquire_all_files'
from /home/tmin/mikutter/trunk/core/utils.rb:66:in `miquire'
from ./plugin/plugin.rb:367
from /home/tmin/mikutter/trunk/core/utils.rb:83:in `require'
from /home/tmin/mikutter/trunk/core/utils.rb:83:in `file_or_directory_require'
from /home/tmin/mikutter/trunk/core/utils.rb:64:in `miquire'
from ./watch.rb:4
from /home/tmin/mikutter/trunk/core/utils.rb:83:in `require'
from /home/tmin/mikutter/trunk/core/utils.rb:83:in `file_or_directory_require'
from /home/tmin/mikutter/trunk/core/utils.rb:64:in `miquire'
from ./trunk/mikutter.rb:58


30 :みくんちゅ♪@名無しさん:2011/07/02(土) 08:17:55.05 ID:Tr6RBPFY0
↑SidのRuby-cairoのバグだったっぽい
今日のUpdateでなおったよ

31 :みくんちゅ♪@名無しさん:2011/08/10(水) 20:19:27.54 ID:9TCusd0+0
俺もFedoraだけど>>28みたいにTL取得前に落ちる
なにが原因だろうな

32 :みくんちゅ♪@名無しさん:2013/06/27(木) 00:43:50.64 ID:QgD4x8Fw0
age

33 :みくんちゅ♪@名無しさん:2013/09/19(木) 23:40:10.10 ID:gX2b0LAc0
age

34 :みくんちゅ♪@名無しさん:2013/11/28(木) 17:36:16.93 ID:remgmW5N0
Debian wheezy
$ cd mikutter
$ git clone git://toshia.dip.jp/mikutter.git
$ ./trunk/mikutter.rb
でおk

35 :みくんちゅ♪@名無しさん:2014/05/07(水) 11:09:04.20 ID:9/xQVG8t0
3.0αのエラー、起動せず。
$ ./mikutter.rb
/home/tmin/mikutter/core/miquire_plugin.rb:138:in `load': /home/tmin/mikutter/core/plugin/core.rb:27: syntax error, unexpected tLPAREN_ARG, expecting keyword_do_LAMBDA or tLAMBEG (SyntaxError)
-> (messages){
^
/home/tmin/mikutter/core/plugin/core.rb:27: syntax error, unexpected tLAMBEG, expecting keyword_end
/home/tmin/mikutter/core/plugin/core.rb:29: syntax error, unexpected '}', expecting keyword_end
...eared.include?(message.id) }] } end
... ^
/home/tmin/mikutter/core/plugin/core.rb:100: syntax error, unexpected $end, expecting keyword_end
from /home/tmin/mikutter/core/miquire_plugin.rb:138:in `load'
from /home/tmin/mikutter/core/miquire_plugin.rb:97:in `block in load_all'
from /home/tmin/mikutter/core/miquire_plugin.rb:37:in `block in each_spec'
from /home/tmin/mikutter/core/miquire_plugin.rb:30:in `each'
from /home/tmin/mikutter/core/miquire_plugin.rb:30:in `each'
from /home/tmin/mikutter/core/miquire_plugin.rb:35:in `each_spec'
from /home/tmin/mikutter/core/miquire_plugin.rb:95:in `load_all'
from /home/tmin/mikutter/core/boot/load_plugin.rb:7:in `<top (required)>'
from /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
from /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
from /home/tmin/mikutter/core/miquire.rb:98:in `miquire_original_require'
from /home/tmin/mikutter/core/miquire.rb:95:in `file_or_directory_require'
from /home/tmin/mikutter/core/miquire.rb:76:in `block in miquire'
from /home/tmin/mikutter/core/miquire.rb:75:in `each'
from /home/tmin/mikutter/core/miquire.rb:75:in `miquire'
from /home/tmin/mikutter/core/miquire.rb:18:in `miquire'
from ./mikutter.rb:38:in `<main>'

36 :みくんちゅ♪@名無しさん:2014/05/07(水) 16:30:39.38 ID:9/xQVG8t0
エラー吐いてる行を含む部分
# Messageの配列を受け取り、一度以上受け取ったことのあるものを除外して返すフィルタを作成して返す
# ==== Return
# フィルタのプロシージャ(Proc)
def gen_message_filter
appeared = Set.new
-> (messages){
[messages.select{ |message|
appeared.add(message.id) unless appeared.include?(message.id) }] } end

filter_update(&gen_message_filter_with_service)

filter_mention(&gen_message_filter_with_service)

filter_appear(&gen_message_filter)
を削除すると起動する。

タブによくわからないものが追加されて変なことになってる場合は
/.mikutter/settings/setting.yml
から
UserConfig::ui_tab_order:
の :__Plugin::GUI::Pane_なんちゃら
の行を削除してみるとうまく行くかも。
該当行じゃないとこ削除するとまた起動できなくなるので目星をつけていくつか試すと良いみたい

37 :みくんちゅ♪@名無しさん:2014/06/14(土) 15:18:36.56 ID:uklCIGmV0
3.0.0がでたよ
http://mikutter.hachune.net/download

38 :みくんちゅ♪@名無しさん:2014/09/19(金) 00:42:08.06 ID:cvz3J1bP0
3.0.5起動しない

/usr/share/mikutter/core/plugin/uitranslator/uitranslator.rb:33:in `block in spec=': uninitialized constant GetText::Tools (NameError)
from /usr/share/mikutter/core/plugin/uitranslator/uitranslator.rb:29:in `glob'
from /usr/share/mikutter/core/plugin/uitranslator/uitranslator.rb:29:in `spec='
from /usr/share/mikutter/core/miquire_plugin.rb:137:in `block in load'
from /usr/share/mikutter/core/plugin.rb:21:in `instance_eval'
from /usr/share/mikutter/core/plugin.rb:21:in `create'
from /usr/share/mikutter/core/miquire_plugin.rb:136:in `load'
from /usr/share/mikutter/core/miquire_plugin.rb:130:in `block in load'
from /usr/share/mikutter/core/miquire_plugin.rb:127:in `each'
from /usr/share/mikutter/core/miquire_plugin.rb:127:in `load'
from /usr/share/mikutter/core/miquire_plugin.rb:97:in `block in load_all'
from /usr/share/mikutter/core/miquire_plugin.rb:37:in `block in each_spec'
from /usr/share/mikutter/core/miquire_plugin.rb:30:in `each'
from /usr/share/mikutter/core/miquire_plugin.rb:30:in `each'
from /usr/share/mikutter/core/miquire_plugin.rb:35:in `each_spec'
from /usr/share/mikutter/core/miquire_plugin.rb:95:in `load_all'
from /usr/share/mikutter/core/boot/load_plugin.rb:7:in `<top (required)>'
from /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
from /usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
from /usr/share/mikutter/core/miquire.rb:98:in `miquire_original_require'
from /usr/share/mikutter/core/miquire.rb:95:in `file_or_directory_require'
from /usr/share/mikutter/core/miquire.rb:76:in `block in miquire'
from /usr/share/mikutter/core/miquire.rb:75:in `each'
from /usr/share/mikutter/core/miquire.rb:75:in `miquire'
from /usr/share/mikutter/core/miquire.rb:18:in `miquire'
from /usr/share/mikutter/mikutter.rb:38:in `<main>'

27KB
新着レスの表示

名前: E-mail(省略可)
READ.CGI - 0ch+ BBS 0.7.4 20131106
ぜろちゃんねるプラス